﻿Public Class Account
  Private Shared accountNoCount As Integer = 1000
  Protected accountNo As String
  Protected name As String
  Protected balance As Integer

  Protected accountType As String   '追加 口座タイプ
  Protected depositTerm As Integer  '追加 定期期間
  Protected startDate As Date       '追加 口座開設日

  'リスト3 普通口座を作成するコンストラクタ
  Public Sub New(ByVal _name As String, _
                 ByVal _balance As Integer)
    accountNoCount = accountNoCount + 1
    accountNo = "S" & accountNoCount.ToString
    name = _name
    balance = _balance
    accountType = "S"
    depositTerm = 0
    startDate = Today
  End Sub

  'リスト4 定期口座を作成するコンストラクタ
  Public Sub New(ByVal _name As String, _
                 ByVal _balance As Integer, _
                 ByVal _depositTerm As Integer)
    If _balance < 10000 Then
      Throw New System.ApplicationException("定期預金は１万円以上からになります！")
    Else
      accountNoCount = accountNoCount + 1
      accountNo = "T" & accountNoCount.ToString
      name = _name
      balance = _balance
      accountType = "T"
      depositTerm = _depositTerm
      startDate = Today
    End If
  End Sub

  Public Function getAccountNo() As String
    Return accountNo
  End Function

  Public Function getName() As String
    Return name
  End Function

  Public Function getBalance() As Integer
    Return balance
  End Function
End Class

